=== debian/changelog ===
propellor (5.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Feb 2018 14:46:09 -0700

propellor (5.3.3) unstable; urgency=medium

  * Warn again about new upstream version when ~/.propellor was cloned from the
    Debian git bundle using an older version of propellor that set up an
    upstream remote.
  * Avoid crashing if initial fetch from origin fails when spinning a host.
  * Added Propllor.Property.Openssl module contributed by contributed by
    Félix Sipma.

 -- Joey Hess <id@joeyh.name>  Mon, 26 Feb 2018 14:34:37 -0400

propellor (5.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Feb 2018 14:34:00 -0700

propellor (5.3.2) unstable; urgency=medium

  * Added Propellor.Property.Atomic, which can make a non-atomic property
    that operates on a directory into an atomic property.
    (Inspired by Vaibhav Sagar's talk on Functional Devops in a
    Dysfunctional World at LCA 2018.)
  * Added Git.pulled.
  * Systemd.machined: Install systemd-container on Debian
    stretch.
    Thanks, Sean Whitton

 -- Joey Hess <id@joeyh.name>  Sun, 18 Feb 2018 14:31:39 -0400

propellor (5.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Feb 2018 21:27:41 -0700

propellor (5.3.1) unstable; urgency=medium

  * Last release mistakenly contained my personal branch not master.
  * contrib/post-merge-hook documentation updated to recommend also using
    it as a post-checkout hook, to avoid such problems.

 -- Joey Hess <id@joeyh.name>  Sun, 04 Feb 2018 12:00:03 -0400

propellor (5.3.0) unstable; urgency=medium

  * Avoid bogus warning about new upstream version when /usr/bin/propellor
    is run on a Debian system, but ~/.propellor was not cloned from the
    Debian git bundle.
  * Parted: Allow partitions to have no filesystem, for eg, GPT BIOS boot
    partitions. (API change)
  * Added rawPartition to PartSpec, for specifying partitions with no
    filesystem.
  * Added BiosGrubFlag to PartFlag.
  * Add HasCallStack constraint to pickOS and unsupportedOS, so the
    call stack includes the caller.
  * Run su with --login, to avoid inheriting some problematic environment
    variables, such as TMP, from the caller.
  * Grub: Added properties to configure /etc/default/grub.
  * Laptop: New module, starting with powertopAutoTuneOnBoot.

 -- Joey Hess <id@joeyh.name>  Thu, 01 Feb 2018 12:27:01 -0400

propellor (5.2.0-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Jan 2018 11:06:08 +0000

propellor (5.2.0) unstable; urgency=medium

  [ Joey Hess ]
  * bootstrappedFrom: Set up local privdata file.
  * Parted: Fix names used for FAT and VFAT partitions.
  * Parted: Add an Alignment parameter. (API change)
    A good default to use is safeAlignment, which is 4MiB,
    well suited for inexpensive flash drives, and fine for other disks too.
    Previously, a very non-optimial 1MB (not 1MiB) alignment had been used.
  * DiskImage: Use safeAlignment. It didn't seem worth making the
    alignment configurable here.
  * Fixed rounding bug in Parted.calcPartTable.
  * DiskImage: Fix rsync crash when a mount point does not exist in the
    chroot.
  * Fix bug in unmountBelow that caused unmounting of nested mounts to
    fail.
  * Grub.boots, Grub.bootsMounted: Pass --target to grub-install.
  * Added Propellor.Property.Installer modules, which can be used to create
    bootable installer disk images, which then run propellor to install
    a system. This code was extracted from the demo I gave in my
    talk at DebConf 2017.

  [ Sean Whitton ]
  * Sbuild: add notes about Debian jessie hosts and backports of sbuild and
    autopkgtest.

 -- Joey Hess <id@joeyh.name>  Sat, 30 Dec 2017 13:34:29 -0400

propellor (5.1.0-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Nov 2017 14:49:17 -0700

propellor (5.1.0) unstable; urgency=medium

  [ Sean Whitton ]
  * File.isSymlinkedTo now revertable. (minor API change)
  * Sbuild module changes:
    - Type of Sbuild.built changed to accept additional properties to be
      ensured inside schroots. (API change)
      See the suggested usage in module's documentation for new syntax.
    - Drop Sbuild.installed, Sbuild.builtFor, Sbuild.updated,
      Sbuild.updatedFor. (API change)
      Use Sbuild.built instead.  See suggested usage in module's documentation.
    - Propellor no longer sets up apt proxies in sbuild chroots automatically.
      Instead, pass the new Sbuild.useHostProxy to Sbuild.built to have
      Propellor propagate the host's Apt proxy configuration into the chroot.
      See suggested usage in module's documentation.
    - Internally, Propellor no longer invokes sbuild-createchroot(1) to build
      schroots.
    - Update documentation.

 -- Joey Hess <id@joeyh.name>  Thu, 23 Nov 2017 10:38:16 -0400

propellor (5.0.0) unstable; urgency=medium

  * Debootstrap.built now supports bootstrapping chroots for foreign
    OS's, using qemu-user-static.
  * Machine: New module collecting machine-specific properties for 
    building bootable images for ARM boards.
    Tested working boards: Olimex Lime, CubieTruck, Banana Pi, SheevaPlug.
  * Diskimage.imageBuiltFor: New property to build a disk image for a Host,
    using partition table information configured via the new properties
    hasPartitionTableType, hasPartition and adjustPartition.
  * Chroot.noServices moved to Service.noServices and its type changed.
    (API change)
  * Service: Avoid starting services when noServices is used.
  * Add Typeable instance to OriginUrl, fixing build with old versions
    of ghc.
  * Added Propellor.Property.impossible
  * Fail2Ban: Added several additional properties.
    Thanks, Félix Sipma.
  * Fail2Ban: Renamed jail.d conf file to use .local.

