## propellor 5.4.1

=== debian/changelog ===
propellor (5.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Tighten build-dep on git to require 2.0.
  * Drop Recommends: from libghc-propellor-doc.  See #905892.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 11 Aug 2018 11:22:52 +0100

propellor (5.4.1) unstable; urgency=medium

  * Modernized and simplified the MetaTypes implementation now that
    compatability with ghc 7 is no longer needed.
  * Use git verify-commit to verify gpg signatures, rather than the old
    method of parsing git log output. Needs git 2.0.
  * Added ConfFile.containsShellSetting, ConfFile.lacksShellSetting,
    and EtcDefault.set properties. Thanks, Sean Whitton
  * Dns: Support TXT values longer than bind's maximum string length
    of 255 bytes. Thanks, rsiddharth.
  * Docker and HostingProvider.CloudAtCost modules are not being
    maintained, so marked them as such.
    Seeking a maintainer for the Docker module; I anticipate
    removing the CloudAtCost module in the next API bump.

 -- Joey Hess <id@joeyh.name>  Wed, 08 Aug 2018 10:29:27 -0400

propellor (5.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 12 Jul 2018 09:27:16 +0100

propellor (5.4.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Apt.installedBackport replaced with Apt.backportInstalled.  (API change)
    The old property would install dependencies from backports even when
    the versions in stable satisfy the requested backport's dependencies.
    The new property installs only the listed packages from backports;
    all other dependencies come from stable.
    So in some cases, you may need to list additional backports to install,
    that would not have needed to be listed before. Due to this behavior
    change the property has been renamed so uses of it will be checked.
  * Restic.installed: stop trying to install a backport on jessie, because no
    such backport exists.

 -- Joey Hess <id@joeyh.name>  Thu, 17 May 2018 10:43:20 -0400

propellor (5.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 May 2018 15:33:42 -0700

propellor (5.3.6) unstable; urgency=medium

  * Fix build with ghc 8.4, which broke due to the Semigroup Monoid change.
  * Dropped support for building propellor with ghc 7 (as in debian
    oldstable), to avoid needing to depend on the semigroups transitional
    package, but also because it's just too old to be worth supporting.
  * stack.yaml: Updated to lts-9.21.
  * Make Schroot.overlaysInTmpfs revertable
    Thanks, Sean Whitton
  * Update shim each time propellor is run in a container, to deal with
    library version changes.
  * Unbound: Added support for various DNS record types.
    Thanks, Félix Sipma.

 -- Joey Hess <id@joeyh.name>  Wed, 09 May 2018 16:24:37 -0400

propellor (5.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Apr 2018 13:03:55 -0700

propellor (5.3.5) unstable; urgency=medium

  * Apt.stdSourcesList now adds stable-updates suite
    Thanks, Sean Whitton
  * Significantly increased propellor build speed when your config.hs
    is in a fork of the propellor repository, by avoiding redundant builds
    of propellor library.

 -- Joey Hess <id@joeyh.name>  Sun, 22 Apr 2018 12:27:45 -0400

propellor (5.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 29 Mar 2018 10:25:50 -0700

propellor (5.3.4) unstable; urgency=medium

  * Apt.trustsKey: Use apt-key to add key rather than manually driving gpg,
    which seems to not work anymore.
    Thanks, Russell Sim.
  * Firewall: Reorder iptables parameters that are order
    dependant to make --to-dest and --to-source work.
    Thanks, Russell Sim

 -- Joey Hess <id@joeyh.name>  Wed, 21 Mar 2018 14:59:15 -0400
