=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cdbs,
  debhelper (>= 10),
  ghc (>= 7.6),
- git,
+ git (>= 1:2.0),
  haskell-devscripts,
  libghc-ansi-terminal-dev,
  libghc-ansi-terminal-prof,
@@ -74,8 +74,6 @@
 Depends:
  ${haskell:Depends},
  ${misc:Depends},
-Recommends:
- ${haskell:Recommends},
 Suggests:
  ${haskell:Suggests},
 Conflicts:
