## propellor 5.6.0

=== debian/changelog ===
propellor (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry picked patch.
    Included in this release.
  * Patch Libvirt.hs to fix Haddock build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 20 Jan 2019 15:25:47 -0700

propellor (5.6.0) unstable; urgency=medium

  * withOS had a type level bug that allowed ensureProperty to be used inside
    it with a Property that does not match the type of the withOS itself.
    (API change)
    The fix may cause some of your valid uses of withOS to no longer type
    check; the best way to work around that is to use pickOS to pick between
    several properties that are further specialized using withOS.
    For an example of how to do that, see the source code to
    Propellor.Property.Borg.installed
  * Propellor.Property.Cron.runPropellor is a Property DebianLike; it was
    incorrectly a Property UnixLike before and that wrong type was hidden by
    the withOS bug.
  * Some openbsd portability fixes. Thanks, rsiddharth.
  * Added Libvirt module. Thanks, Sean Whitton.
  * When bootstrapping on Debian, libghc-stm-dev may not be available,
    as it's become part of ghc, so check before trying to install it.
  * Fix build with ghc 8.6.3.
  * Avoid exposing the constructor of OuterMetaTypesWitness, to avoid
    the kind of mistake that led to the withOS bug.
  * Merged Utility changes from git-annex.
  * Fix --spin crash when ~/.ssh/ directory did not already exist.

 -- Joey Hess <id@joeyh.name>  Fri, 18 Jan 2019 12:11:53 -0400

propellor (5.5.0-2) unstable; urgency=medium

  * Cherry pick upstream commit d2a526833f7178a04b00704890cf6ee8c1187618
    - Drop build-dep on haskell-stm.
    - Build-dep on ghc (>= 8.4.3), with which haskell-stm is now bundled
    - In Bootstrap, still try to install haskell-stm, but suppress error from
      apt if not installable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Dec 2018 21:34:10 -0700

propellor (5.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 18:42:33 -0700

propellor (5.5.0) unstable; urgency=medium

  * letsencrypt': Pass --expand to support expanding the list of domains
  * Split mailname property out of Hostname.sane, since bad mailname
    guesses can lead to ugly surprises. (API change)
  * Removed HostingProvider.CloudatCost module as it lacks a maintainer.
    (If anyone would like to maintain it, send a patch adding it back.)
    (API change)
  * Added Systemd.escapePath helper function useful when creating mount
    units.
  * Added Sudo.sudoersDFile property.
  * Sudo.enabledFor: Write to /etc/sudoers.d/000users rather than to
    /etc/sudoers. (Any old lines it wrote to /etc/sudoers will be removed.)
    This fixes a potential ordering problem; the property used to append
    the line to /etc/sudoers, but that would override more specific lines
    in the include directory.
  * Borg: Added UsesEnvVar.
  * Added DiskImage.noBootloader, useful for eg, direct booting with
    qemu. Thanks, David Bremner.
  * Added Apt.backportInstalledMin.

 -- Joey Hess <id@joeyh.name>  Sat, 20 Oct 2018 21:00:27 -0400
