=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  cabal-install,
  cdbs,
  debhelper (>= 10),
- ghc (>= 7.6),
+ ghc (>= 8.4.3),
  git (>= 1:2.0),
  haskell-devscripts,
  libghc-ansi-terminal-dev,
@@ -26,8 +26,6 @@
  libghc-network-prof,
  libghc-split-dev,
  libghc-split-prof,
- libghc-stm-dev,
- libghc-stm-prof,
  libghc-text-dev,
  libghc-text-prof,
  libghc-transformers-dev,
@@ -106,7 +104,7 @@
 Architecture: any
 Depends:
  cabal-install,
- ghc (>= 7.4),
+ ghc (>= 8.4.3),
  git (>= 1:2.9),
  libghc-ansi-terminal-dev,
  libghc-async-dev,
@@ -118,7 +116,6 @@
  libghc-network-dev,
  libghc-propellor-dev,
  libghc-split-dev,
- libghc-stm-dev,
  libghc-text-dev,
  libghc-transformers-dev,
  libghc-unix-compat-dev,
