## propellor 5.9.1

=== debian/changelog ===
propellor (5.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Add {build-,}dep on libghc-type-errors-dev.
  * Drop fix-libvirt.hs-haddock-build.patch.
    Applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Sep 2019 13:23:43 -0700

propellor (5.9.1) unstable; urgency=medium

  * Apt: Debian has changed the name of the suite for testing security updates
    from testing to testing-security.
  * Apt: Also the suite for stable releases from bullseye on will be
    suffixed with "-security".
  * Apt.update: Pass --allow-releaseinfo-change when updating Unstable
    or Testing, so that code name changes that happen in those suites
    during a stable release don't prevent updating the rolling suites.
  * Systemd.machined: Fix a bug that caused the systemd-container package
    to not be installed when used with Debian buster.

 -- Joey Hess <id@joeyh.name>  Wed, 17 Jul 2019 15:59:29 -0400

propellor (5.9.0) unstable; urgency=medium

  * Added custom type error messages when Properties don't combine due to
    conflicting MetaTypes.
  * Added custom type error messages for ensureProperty and tightenTargets.
  * Note that those changes made ghc 8.0.1 in a few cases unable to infer
    types when ensureProperty or tightenTargets is used, while later ghc
    versions had no difficulty. If this affects building your properties,
    adding a type annotation to the code will work around the problem.
  * Added custom type error messages displayed when type inference
    fails when using ensureProperty and tightenTargets, that suggest
    adding a type annotation.
  * Use the type-errors library to detect when the type checker gets stuck
    unable to reduce type-level operations on MetaTypes, and avoid 
    displaying massive error messages.
  * But, since type-errors is a new library not available in eg Debian
    yet, added a WithTypeErrors build flag. When the library is not
    available, cabal will automatically disable that build flag,
    and it will build without the type-errors library.
  * EnsurePropertyAllowed, TightenTargetsAllowed, and CheckCombinable
    types have changed to Constraint.
    (API change)
  * Try harder to avoid displaying an excessive amount of type error
    messages when many properties have been combined in a props list.
  * Libvirt.installed: install libvirt-daemon-system
    Thanks, David Bremner

 -- Joey Hess <id@joeyh.name>  Tue, 02 Jul 2019 16:27:07 -0400

propellor (5.8.0) unstable; urgency=medium

  * Fix bug in File.containsShellSetting that replaced whole shell conffile
    content with the setting if the file did not previously contain a line
    setting the key to some value.
  * Removed inChroot, instead use hasContainerCapability FilesystemContained.
    (API change)
  * Hostname: Properties that used to not do anything in a systemd or
    docker container will now change the container's hostname,
    since it's namespaced.
  * Add User.ownsWithPrimaryGroup
    Thanks, Sean Whitton
  * Ssh.userKeys, Ssh.userKeyAt: Create .ssh directory when it does not yet
    exist.
  * Ssh.userKeyAt: When a relative filepath is provided, it's put inside
    the user's .ssh directory.
  * Fix Git.pulled always reporting a change.
    Thanks, Sean Whitton

 -- Joey Hess <id@joeyh.name>  Fri, 26 Apr 2019 08:23:29 -0400

propellor (5.7.0) unstable; urgency=medium

  * Sbuild.built no longer includes Apt.stdSourcesList by default,
    in order to support non-Debian OS's. (API change)
    To upgrade: Simply add Sbuild.osDebianStandard to all Sbuild.built
    calls which have osDebian.
    Thanks, Sean Whitton
  * Propellor.Property.PropellorRepo renamed to Propellor.Property.Localdir
    to widen its scope. (API change)
  * Added Localdir.removed property.
    Thanks, Sean Whitton
  * Sbuild.built uses Localdir.removed to clean up the propellor localdir
    after it's done running in a schroot.
    Thanks, Sean Whitton
  * Cron.runPropellor made revertable. (minor API change)
    Thanks, Sean Whitton
  * Added Cron.jobDropped.
    Thanks, Sean Whitton
  * Added Utility.FileMode to the modules exported by Propellor.Utilities
    to propellor library users.

 -- Joey Hess <id@joeyh.name>  Fri, 05 Apr 2019 11:59:52 -0400

propellor (5.6.1) unstable; urgency=medium

  * fix Libvirt.hs haddock build
    Thanks, Sean Whitton

 -- Joey Hess <id@joeyh.name>  Sun, 20 Jan 2019 19:06:39 -0400
