=== debian/changelog ===
propellor (5.10.1-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:29 +0000

propellor (5.10.1-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:05:18 +0000

propellor (5.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Nov 2019 11:26:38 -0700

propellor (5.10.1) unstable; urgency=medium

  [ Joey Hess ]
  * Localdir.hasOriginUrl: Depend on Git.installed.
  * Localdir.hasOriginUrl: Type changed from UnixLike to DebianLike
    because Git.installed is not implemented for other unixes.
    (API change)
  * Changed the ChrootBootstrapper type class's buildchroot method
    to take a Info parameter, instead of Maybe System.
    (The System can be extracted from the Info.)
    (API change)

  [ Sean Whitton ]
  * Chroot.{de,}bootstrapped uses the chroot's configured apt proxy and
    mirror, if these exist, when debootstrapping the chroot.
  * Rename Sbuild.useHostProxy -> Chroot.useHostProxy. (API change)

 -- Joey Hess <id@joeyh.name>  Fri, 15 Nov 2019 13:26:19 -0400
