## propellor 5.10.2

=== debian/changelog ===
propellor (5.10.2-2build2) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:14:20 +0000

propellor (5.10.2-2build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Aug 2020 15:36:32 +0200

propellor (5.10.2-2) unstable; urgency=medium

  * Rebuild the arch:all package against newer ghc (Closes: #966661).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Aug 2020 15:19:15 -0700

propellor (5.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 16:39:27 -0700

propellor (5.10.2) unstable; urgency=medium

  * Fix build with ghc 8.6.3.
    Thanks, Robin Munn
  * Bootstrap: Fix typo in Arch Linux dependencies.
    Thanks, Robin Munn
  * Bootstrap: Add haskell-type-errors package on Arch Linux.
    Thanks, Robin Munn
  * Apt.buildDepIn: Run build-dep command in a temporary directory,
    since it may sometimes not clean up all the files it creates.

 -- Joey Hess <id@joeyh.name>  Fri, 01 May 2020 16:47:31 -0400
