## propellor 5.12

=== debian/changelog ===
propellor (5.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop Makefile patch in last upload.
    Applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Sep 2020 11:55:19 -0700

propellor (5.12) unstable; urgency=medium

  * Worked around a situation where ghc uses insane amounts of memory
    displaying an error message about a property of a host having the
    wrong number of arguments.
  * Added libghc-type-errors-dev to debian/control recommends, and
    install it if available when bootstrapping propellor.
  * Borg: add UseUmask to BorgRepoOpt.
    Thanks, Nicolas Schodet
  * Borg: use "{now}" instead of $(date ...)
    Thanks, Nicolas Schodet
  * Makefile: Deal with cabal change that made sdist
    not output tarball to stdout.
    Thanks, Sean Whitton

 -- Joey Hess <id@joeyh.name>  Mon, 14 Sep 2020 12:06:46 -0400

propellor (5.11-1) unstable; urgency=medium

  * New upstream release (Closes: #969621).
  * Patch Makefile for new ./Setup losing ability to output to stdout.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Sep 2020 20:47:04 -0700

propellor (5.11) unstable; urgency=medium

  * Fix display of concurrent output from processes when using
    Propellor.Property.Conductor.
    (Reversion introduced in version 5.5.0.)
  * Support bootstrapping to hosts using cabal 3.x, with new-dist directory.
  * Makefile: Fix build with cabal 3.x.
  * Borg.restored: Fix restoration, which has apparently never worked,
    at least back to borg 1.0.9.
    Thanks, Nicolas Schodet.
  * Borg.init: Added the now required encryption type parameter.
    Thanks, Nicolas Schodet.
    (API change)

 -- Joey Hess <id@joeyh.name>  Fri, 14 Aug 2020 16:02:14 -0400
