=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
  libghc-text-prof,
  libghc-transformers-dev,
  libghc-transformers-prof,
+ libghc-type-errors-dev,
+ libghc-type-errors-prof,
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
@@ -118,6 +120,7 @@
  libghc-split-dev,
  libghc-text-dev,
  libghc-transformers-dev,
+ libghc-type-errors-dev,
  libghc-unix-compat-dev,
  ${misc:Depends},
  ${shlibs:Depends},
