=== debian/changelog ===
propellor (5.13-3) unstable; urgency=medium

  * QA upload.
  * Move packaging repository to salsa.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Feb 2023 13:36:11 +0100

propellor (5.13-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #990802)
  * Rebuild against ghc 9.  (Closes: #1020254)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Oct 2022 20:00:50 +0100

propellor (5.13-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Aug 2021 12:30:33 -0700

propellor (5.13) unstable; urgency=medium

  * Network: Added support for network interfaces with several address
    stanzas, eg ipv4 and ipv6.
    Thanks, Nicolas Schodet
  * Sudo.enabledFor: Deal with new @includedir syntax in sudoers file.
  * Apt.securityUpdates: Stop generating testing-security lines, as
    testing-security is unused per debian documentation.
  * Utility.HumanNumber: Fix rounding bug that could result in
    sometimes quite wrong values, eg "1.1 GB" when the input value was a
    few bytes less than 2 GB. Properties in Ccache and Journald that
    used it to generate config files were affected by this bug.

 -- Joey Hess <id@joeyh.name>  Fri, 30 Jul 2021 10:02:19 -0400
