=== debian/control ===
--- 
+++ 
@@ -34,11 +34,12 @@
  libghc-type-errors-prof,
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Rules-Requires-Root: no
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.1.0
 Homepage: https://propellor.branchable.com/
-Vcs-Git: https://git.spwhitton.name/propellor -b debian
-Vcs-Browser: https://git.spwhitton.name/propellor
+Vcs-Git: https://salsa.debian.org/debian/propellor.git
+Vcs-Browser: https://salsa.debian.org/debian/propellor
 X-Description: property-based host configuration management in haskell
  Propellor ensures that the system it's run in satisfies a list of
  properties, taking action as necessary when a property is not yet met.
