## propellor 5.17

=== Makefile ===
--- 
+++ 
@@ -45,11 +45,8 @@
 	find . -name \*.o -exec rm {} \;
 	find . -name \*.hi -exec rm {} \;
 
-# hothasktags chokes on some template haskell etc, so ignore errors
-# duplicate tags with Propellor.Property. removed from the start, as we
-# often import qualified by just the module base name.
 tags:
-	@find . | grep -v /.git/ | grep -v /tmp/ | grep -v dist/ | grep -v /doc/ | egrep '\.hs$$' | xargs hothasktags 2>/dev/null | perl -ne 'print; s/Propellor\.Property\.//; print' | sort > tags || true
+	@hasktags . -c 2>/dev/null || true
 
 configured: propellor.cabal
 	@if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
