=== debian/changelog ===
propellor (5.17-3) unstable; urgency=medium

  * QA upload.
  * Replace CDBS with dh-sequence-haskell
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.2

  [ Andreas Beckmann ]
  * new quoting for SALSA_CI_BLHC_ARGS

 -- Alexandre Detiste <tchet@debian.org>  Thu, 23 Oct 2025 20:53:29 +0200

propellor (5.17-2) unstable; urgency=medium

  * QA upload.
  * libghc-propellor-doc: Mark as Multi-Arch: foreign.
  * Add salsa-ci.yml to ignore some blhc false positives.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Oct 2024 14:05:43 +0200

propellor (5.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.  (Closes: #1054640, #1053981, #1054828)
  * Clean more build artefacts.  (Closes: #1045437, #1049841)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Apr 2024 19:17:26 +0200

propellor (5.17) unstable; urgency=medium

  * Apt: Enable the non-free-firmware section, when used with Debian
    bookworm or newer.

 -- Joey Hess <id@joeyh.name>  Sat, 10 Jun 2023 09:49:05 -0400

propellor (5.16) unstable; urgency=medium

  * Debootstrap: Added UseOldGpgKeyring constructor to DebootstrapConfig,
    which allows bootstrapping ancient stable releases of Debian.
  * Qemu: Install binfmt-support along with qemu-user-static.
  * Fix build with unix-2.8.0.0 and with unix-compat-0.7.

 -- Joey Hess <id@joeyh.name>  Mon, 29 May 2023 11:24:25 -0400

propellor (5.15) unstable; urgency=medium

  * Improve propellor's MetaTypes implementation to avoid an expontential
    blowup when several MetaTypes fail to unify. This should result in less
    memory use by ghc when there's a type error.
  * Avoid OOM when built by ghc 9.2.
  * Thanks to the ghc developers for their assistance, particularly spj
    and Sam Derbyshire.
  * Remove workaround to ghc using a lot of memory displaying an error
    message about a property of a host having the wrong number of
    arguments. This brings back clear error messages in such situations.

 -- Joey Hess <id@joeyh.name>  Tue, 15 Nov 2022 15:34:11 -0400

propellor (5.14) unstable; urgency=medium

  * Removed Propellor.Property.OpenID module, since the simpleid package
    got removed from Debian.
  * Renamed Linode.mlocateEnabled to Linode.locateEnabled, and made it also
    make sure plocate is enabled, if it's installed rather than mlocate.
    (API change)
  * Debootstrap.built: Stop using the deprecated qemu-debootstrap
    for bootstrapping foreign architectures. It is not needed since qemu
    2.12, which, at least on Debian, enabled the
    binfmt-support --fix-binary option.
  * Qemu.removeHostEmulationBinary: Removed this property, which is no
    longer necessary since qemu-debootstrap is not used.
    (API change)
  * Flashkernel.installed: Deal with a behavior change in flash-kernel,
    which will fail to install if is not configured first.
  * Systemd.resolvConfed is no longer enabled by default in systemd
    containers. It is probably not necessary on current systems the way it
    was back in 2014, and this avoids a problem where the host's
    /etc/resolv.conf gets overwritten when systemd is managing the
    container's /etc/resolv.conf.
  * Borg: To support borg 1.2, run borg compact to free up space after pruning.
  * Add lower bounds on async and split.
    Thanks, Simon Jakobi
  * propellor.cabal: Deduplicate exposed modules, which fixes a build
    problem with recent cabal versions.
    Thanks, Simon Jakobi

 -- Joey Hess <id@joeyh.name>  Sat, 15 Oct 2022 14:40:31 -0400
