=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Build-Depends:
  cabal-install,
- cdbs,
- debhelper (>= 10),
+ debhelper-compat (= 13),
+ dh-sequence-haskell,
  ghc (>= 8.4.3),
  git (>= 1:2.0),
- haskell-devscripts,
  libghc-ansi-terminal-dev,
  libghc-ansi-terminal-prof,
  libghc-async-dev,
@@ -34,13 +33,12 @@
  libghc-type-errors-prof,
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
-Rules-Requires-Root: no
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.7.2
 Homepage: https://propellor.branchable.com/
 Vcs-Git: https://salsa.debian.org/debian/propellor.git
 Vcs-Browser: https://salsa.debian.org/debian/propellor
-X-Description: property-based host configuration management in haskell
+Description: property-based host configuration management in haskell
  Propellor ensures that the system it's run in satisfies a list of
  properties, taking action as necessary when a property is not yet met.
  .
@@ -71,6 +69,7 @@
 
 Package: libghc-propellor-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${haskell:Depends},
