=== debian/rules ===
#!/usr/bin/make -f

# Avoid using cabal, as it writes to $HOME
export CABAL=./Setup

%:
	dh $@

execute_after_dh_auto_build:
	make propellor.1
