## propellor 5.18

=== debian/changelog ===
propellor (5.18-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #990802)
  * Bring back propellor source code to package:
    - This was broken with the migration from CDBS to dh-sequence-haskell.
    - Fix Makefile and remove debian/compat from cabal extra source files.
  * Add autopkgtest, doing a propellor --init.
    - Run cabal update before initializing propellor.
  * Update d/watch to version 5, use git mode and verify signature.
  * Update standards version to 4.7.3.
    - Remove now redundant Priority field from d/control.
  * Update copyright year.
  * Add bugs database to upstream metadata.
  * Explicitly disable pristine-tar in gbp.conf.
  * Add propellor-config and propellor.haddock to d/not-installed.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sat, 14 Feb 2026 17:47:29 +0100

propellor (5.18) unstable; urgency=medium

  * Git.daemonRunning: Worked around git's unfortunate new
    requirement that safe.directory be set when running git-daemon from
    inetd.
  * Git.daemonService: New property which runs git-daemon as a systemd
    service.
  * Systemd.nspawned: Fix a bug that prevented propellor from running in
    a systemd machine due to /usr/local/propellor not being visible
    inside the machine.

 -- Joey Hess <id@joeyh.name>  Sun, 10 Aug 2025 11:24:34 -0400
