=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: propellor
 Section: admin
-Priority: optional
 Build-Depends:
  cabal-install,
  debhelper-compat (= 13),
@@ -33,8 +32,8 @@
  libghc-type-errors-prof,
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.2
+Maintainer: Nicolas Schodet <nico@ni.fr.eu.org>
+Standards-Version: 4.7.3
 Homepage: https://propellor.branchable.com/
 Vcs-Git: https://salsa.debian.org/debian/propellor.git
 Vcs-Browser: https://salsa.debian.org/debian/propellor
