=== debian/rules ===
#!/usr/bin/make -f

export DEB_SETUP_BIN_NAME = debian/hlibrary.setup

# Avoid using cabal, as it writes to $HOME
export CABAL = $(DEB_SETUP_BIN_NAME)

%:
	dh $@

execute_after_dh_auto_build:
	make propellor.1

execute_after_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp make install-src
