=== debian/tests/control ===
Tests: init
Restrictions: allow-stderr
