=== debian/watch ===
Version: 5

Source: git://propellor.branchable.com/propellor
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgp-Mode: gittag
